Subject: Re: bug#54378: Subject: 29.0 Build failed

From: Eli Zaretskii <[email-masked]>
Date: Mon, 14 Mar 2022 05:37:00 +0200

> From: Po Lu <[email-masked]>
> Cc: [email-masked], Eli Zaretskii <[email-masked]>
> Date: Mon, 14 Mar 2022 08:58:26 +0800
> 
> "nuil" <[email-masked]> writes:
> 
> > From: [email-masked]
> > To: [email-masked]
> >
> > Subject: 29.0(fresh clone) Build failed
> >  --text follows this line--
> > I'm using gentoo,
> > and when I set USE='gtk -X gui', the build failed with link error,
> > I have to set USE='dynamic-loading' manually for build.
> 
> dynlib is required for interrupt-based input to work in the PGTK build.
> 
> Eli, would it be okay to build dynlib.o as long as PGTK is enabled, even
> if dynamic modules are not?

What are the downsides of doing this, if any?  (I presume you asked me
because it isn't straightforward or something?)